Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Java installeren
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Dutch
View previous topic :: View next topic  
Author Message
kevin_ingen
n00b
n00b


Joined: 03 Oct 2006
Posts: 9

PostPosted: Tue Oct 17, 2006 10:45 am    Post subject: Java installeren Reply with quote

Beste forumleden,

Ik heb nu een Java runtime geinstalleerd:
Code:

HPNETSERVER3 ~ # java -version
java version "1.4.2-03"
Java(TM) 2 Runtime Environment, Standard Edition (build Blackdown-1.4.2-03)
Java HotSpot(TM) Client VM (build Blackdown-1.4.2-03, mixed mode)
HPNETSERVER3 ~ #

Ik ga Jboss installeren en daarvoor heb ik versie 1.5 nodig. Ik heb al wat wiki's afegezocht en op de bekende forums, maar ik kon nergens iets vinden wat werkt bij mij.

Kan iemand mij helpen?
Back to top
View user's profile Send private message
nixnut
Administrator
Administrator


Joined: 09 Apr 2004
Posts: 10973
Location: the dutch mountains

PostPosted: Tue Oct 17, 2006 4:25 pm    Post subject: Reply with quote

sun-jre-bin-1.5.0.08-r1 is stable voor x86 en amd64. Heb je die al geprobeerd?
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
kevin_ingen
n00b
n00b


Joined: 03 Oct 2006
Posts: 9

PostPosted: Tue Oct 17, 2006 5:54 pm    Post subject: Reply with quote

Bedankt voor je reactie Nixnut.

Ik heb een aantal commando's geprobeerd, maar deze resulteerde alleen in foutmeldingen.

Hoe installeer ik de sun-jre-bin-1.5.0.08-r1 ?

Wat ik wilde proberen is Jboss installeren en ik kreeg het volgende met mijn huidige JRE:

Code:
:

HPNETSERVER3 jboss2 # java -version
java version "1.4.2-03"
Java(TM) 2 Runtime Environment, Standard Edition (build Blackdown-1.4.2-03)
Java HotSpot(TM) Client VM (build Blackdown-1.4.2-03, mixed mode)

HPNETSERVER3 jboss2 # java -jar jboss-4.0.4.GA-Patch1-installer.jar
Exception in thread "main" java.lang.UnsatisfiedLinkError: /opt/blackdown-jdk-1.4.2.03/jre/lib/i386/libawt.so: libXp.so.6: can
not open shared object file: No such file or directory
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1586)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1503)
        at java.lang.Runtime.loadLibrary0(Runtime.java:788)
        at java.lang.System.loadLibrary(System.java:834)
        at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:50)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.Toolkit.loadLibraries(Toolkit.java:1437)
        at java.awt.Toolkit.<clinit>(Toolkit.java:1458)
        at java.awt.Color.<clinit>(Color.java:250)
        at com.izforge.izpack.installer.InstallData.<init>(InstallData.java:44)
        at com.izforge.izpack.installer.GUIInstaller.<init>(GUIInstaller.java:99)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:
39)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorIm
pl.java:27)
        at java.lang.reflect.Constructor.newInstance(Constructor.java:274)
        at java.lang.Class.newInstance0(Class.java:308)
        at java.lang.Class.newInstance(Class.java:261)
        at com.izforge.izpack.installer.Installer.main(Installer.java:53)
   


Ik hoop dat ik genoeg informatie geef, anders hoor ik het graag!
Back to top
View user's profile Send private message
Spetsnaz84
n00b
n00b


Joined: 25 Jun 2006
Posts: 39
Location: Antwerp, Belgium

PostPosted: Tue Oct 17, 2006 7:36 pm    Post subject: Reply with quote

Download de binary van de sun site en installeer hem.

En gebruik dan java-config om de juiste JVM als default in te stellen.
Back to top
View user's profile Send private message
kevin_ingen
n00b
n00b


Joined: 03 Oct 2006
Posts: 9

PostPosted: Wed Oct 18, 2006 7:02 am    Post subject: Reply with quote

Ik las op een ander forum dat je met Sun-JRE ook op de volgende manier kan installeren:
Code:

HPNETSERVER3 ~ # emerge --pretend sun-jre-bin                                   
These are the packages that would be merged, in order:

Calculating dependencies... done!
[blocks B     ] <dev-java/java-config-1.3 (is blocking dev-java/java-config-wrapper-0.12)
[ebuild  N    ] app-portage/portage-utils-0.1.20  USE="python"
[ebuild  N    ] dev-java/java-config-wrapper-0.12
[ebuild  NS   ] dev-java/java-config-2.0.30
[ebuild     U ] dev-java/java-config-1.3.7 [1.2.11-r1]
[ebuild  N    ] dev-java/sun-jre-bin-1.5.0.08-r1  USE="-X -alsa -nsplugin"
HPNETSERVER3 ~ #


Hier dus ook gelijk de foutmelding.

Ik ben nieuw met linux dus ik weet nog niet hoe ik anders dan met emerge de sun-jre-bin-1.5.0.08-r1 moet installeren.

Graag iets meer uitleg
Back to top
View user's profile Send private message
nixnut
Administrator
Administrator


Joined: 09 Apr 2004
Posts: 10973
Location: the dutch mountains

PostPosted: Wed Oct 18, 2006 4:15 pm    Post subject: Reply with quote

Quote:
[blocks B ] <dev-java/java-config-1.3 (is blocking dev-java/java-config-wrapper-0.12)

Ja, die ouwe java-config moet eerst weg. Dus emerge -C java-config && emerge sun-jre-bin.
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Dutch All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum